#if defined(__clang__)
#pragma once
#include "feely_pona_unity.h"
#endif

enum FP_EntityType
{
    FP_EntityType_Nil,
    FP_EntityType_Map,
    FP_EntityType_Terry,
    FP_EntityType_Smoochie,
    FP_EntityType_MerchantTerry,
    FP_EntityType_MerchantGraveyard,
    FP_EntityType_MerchantGym,
    FP_EntityType_MerchantPhoneCompany,
    FP_EntityType_ClubTerry,
    FP_EntityType_Clinger,
    FP_EntityType_Heart,
    FP_EntityType_Count,
};

enum FP_EntityTerryState
{
    FP_EntityTerryState_Nil,
    FP_EntityTerryState_Idle,
    FP_EntityTerryState_Attack,
    FP_EntityTerryState_Run,
    FP_EntityTerryState_Dash,
};

enum FP_EntitySmoochieState
{
    FP_EntitySmoochieState_Nil,
    FP_EntitySmoochieState_Idle,
    FP_EntitySmoochieState_Attack,
    FP_EntitySmoochieState_HurtSide,
    FP_EntitySmoochieState_AttackHeart,
    FP_EntitySmoochieState_Death,
    FP_EntitySmoochieState_Run,
};

enum FP_EntityClingerState
{
    FP_EntityClingerState_Nil,
    FP_EntityClingerState_Idle,
    FP_EntityClingerState_Attack,
    FP_EntityClingerState_Death,
    FP_EntityClingerState_Run,
};

enum FP_EntityMerchantTerryState
{
    FP_EntityMerchantTerryState_Nil,
    FP_EntityMerchantTerryState_Idle,
};

enum FP_EntityMerchantGymState
{
    FP_EntityMerchantGymState_Nil,
    FP_EntityMerchantGymState_Idle,
};

enum FP_EntityMerchantPhoneCompanyState
{
    FP_EntityMerchantPhoneCompanyState_Nil,
    FP_EntityMerchantPhoneCompanyState_Idle,
};

enum FP_EntityMerchantGraveyardState
{
    FP_EntityMerchantGraveyardState_Nil,
    FP_EntityMerchantGraveyardState_Idle,
};

enum FP_EntityClubTerryState
{
    FP_EntityClubTerryState_Nil,
    FP_EntityClubTerryState_Idle,
    FP_EntityClubTerryState_PartyTime,
};

enum FP_EntityMapState
{
    FP_EntityMapState_Nil,
    FP_EntityMapState_Idle,
};

enum FP_EntityHeartState
{
    FP_EntityHeartState_Nil,
    FP_EntityHeartState_Idle,
};
